Mais

Erro ao instalar um complemento GRASS!

Erro ao instalar um complemento GRASS!


Estou tentando instalar o r.inund.fluv no Linux para produzir mapas de inundação, mas estou recebendo o erro abaixo. Observe que tenho um compilador Fortran.

GRASS 6.4.4 (newLocation): ~> g.extension r.inund.fluv Buscando  do GRASS-Addons SVN (seja paciente)… A r.inund.fluv / r.inund.fluv_62 A r.inund.fluv / correção_from_path.f90 A r.inund.fluv / clean_inundation.f90 A r.inund.fluv / r .inund.fluv A r.inund.fluv / find_main_channel.f90 A r.inund.fluv / README.txt A r.inund.fluv / r.inund.fluv.html A r.inund.fluv / Makefile A r.inund .fluv / 2d_path.f90 Verificada a revisão 65521. Compilando … Makefile: 4: /usr/lib64/grass-6.4.4/include/Make/Script.make: Não existe esse arquivo ou diretório Makefile: 5: /usr/lib64/grass-6.4.4/include/Make/Module. make: Nenhum arquivo ou diretório make: *** Nenhuma regra para tornar o destino '/usr/lib64/grass-6.4.4/include/Make/Module.make'. Pare. ERRO: A compilação falhou, desculpe. Por favor, verifique as mensagens de erro acima.

como sou do universo debian / ubuntu, ele tem um nome diferente em centos / rhel…

dê uma olhada em http://wiki.osgeo.org/wiki/Enterprise_Linux_GIS#How_to_enable_the_ELGIS6_repository

em centos é chamado de grass-devel- * (ver http://elgis.argeo.org/repos/6/elgis/x86_64/)

observação: 6.4 é o antigo ramo estável. Eu recomendo 7.0 -> muito mais divertido.